6.0.0-git
2019-05-19

[#7519] Visual enhancements of Mailbox view
Summary Visual enhancements of Mailbox view
Queue DIMP
Queue Version 1.1
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jason (at) alsingsonline (dot) com
Created 2008-10-16 (3867 days ago)
Due
Updated 2010-01-12 (3414 days ago)
Assigned
Resolved 2009-01-13 (3778 days ago)
Milestone
Patch No

History
2009-01-13 01:42:33 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
In IMP 5, implemented a single status container that can handle any 
number of status icons, rather than discrete status fields.
2008-11-06 05:29:29 Chuck Hagenbuch Comment #4
State ⇒ Rejected
Reply to this comment
I agree with Michael.
2008-10-20 04:05:34 Michael Slusarz Comment #3 Reply to this comment
I prefer a more consistent look in the mailbox view, similar to
Outlook where each message has a status of some sort. I've made a
default background to .msState which is "seen"
Don't agree with this.  You can already tell whether a message is 
seen/unseen by whether the text is bold or not.  We only have a 
limited amount of real estate to work with.  Additionally, a seen icon 
is one more icon we have to load from the remote server.
and moved the
msCompose items over to msState so all statuses are in the same
column. Moving div.flagged over to msCompose creates the flag icon in
it's own column.
I would prefer that all the status/icon code be rewritten so that we 
only have one column for all this data.  This would mean that we can't 
display the images via CSS, but I think that is a valid tradeoff 
because the current layout is less than desirable (since you can only 
show 1 flag at a time for several of those items).  Allowing more than 
one flag to be displayed becomes even more important in the future 
when we implement the ability to display custom flags.
2008-10-16 19:14:19 jason (at) alsingsonline (dot) com Comment #2 Reply to this comment
Sorry, I also increased the width of those elements to 18 they were 
too close together at 16



themes/silver/screen.css



div.msgStatus .msCheck, div.msgStatus .msState, div.msgStatus 
.msCompose, div.msgStatus .msPri {

     width: 18px;

     float: left;

}
2008-10-16 19:12:09 jason (at) alsingsonline (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Visual enhancements of Mailbox view
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ No
New Attachment: ScreenShot001.png Download
Reply to this comment
I prefer a more consistent look in the mailbox view, similar to 
Outlook where each message has a status of some sort. I've made a 
default background to .msState which is "seen" and moved the msCompose 
items over to msState so all statuses are in the same column. Moving 
div.flagged over to msCompose creates the flag icon in it's own 
column. Perhaps this isn't for everyone but I like the look quite a 
bit better. Here are the relevant changes to themes/screen.css and 
themes/silver/screen.css



/* Status images and flags selectors: status column */

.msglist .msState {

     background: transparent url("graphics/mail_seen.png") center 
center no-repeat;

}

.msglist div.unseen .msState {

     background: transparent url("graphics/mail_unseen.png") center 
center no-repeat;

}

.msglist div.flagged .msCompose {

     background: transparent url("graphics/mail_flagged.png") center 
center no-repeat;

}

.msglist div.deletedmsg .msState {

     background: transparent url("graphics/mail_deleted.png") center 
center no-repeat;

}

/* Status images and flags selectors: priority column */

.msglist div.unimportant .msPri {

     background: transparent url("graphics/mail_priority_low.png") 
center center no-repeat;

}

.msglist div.important .msPri {

     background: transparent url("graphics/mail_priority_high.png") 
center center no-repeat;

}

/* Status images and flags selectors: compose status column */

.msglist div.answered .msState {

     background: transparent url("graphics/mail_answered.png") center 
center no-repeat;

}

.msglist div.draft .msState {

     background: transparent url("graphics/mail_draft.png") center 
center no-repeat;

}




Saved Queries